# Use Rubens Price Service

If you do not have a webshop or a price database it could make sense to use the Rubens Price Service. The first step to use the Rubens Price Service is to enable the service. Therefore please speak with your customer success manager. If everything is in place you only need to provide the correct init options. Here is an example:

```javascript
const configurator = await RoomleConfiguratorApi.createConfigurator(
  'demoConfigurator',
  document.getElementById('configurator-container'),
  {...options, usePriceService: true},
);
```

For more details about the Rubens Price Service you can read the [scripting price docu](/rubens/content-creation/scripting-resources/200_130_pricing.md#price-service).

Please also have a look on the [localization](/rubens/rubens-products/rubens-room-designer/customisation/localization.md) section on how to load different price lists based on the location of your webshop.

If you see the error message `prices are empty` on the Chrome Dev Tools console it is possible that your account setup depends on a deprecated parameter option.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.roomle.com/rubens/rubens-products/rubens-room-designer/integration/how-to-use-prices-in-room-designer/use-rubens-price-service.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
